Name:		tutka
Version:	1.1.3
Release:	%mkrel 4
Summary:	Tracker-style MIDI sequencer with a Qt5 GUI
License:	GPLv2+
Group:		Sound/Midi
Url:		http://www.nongnu.org/tutka/
Source0:	http://download.savannah.gnu.org/releases/tutka/%{name}-%{version}.tar.xz
Patch0:		tutka-1.1.3-fix-build-with-Qt5-5.13.patch
Patch1:		tutka-1.1.3-disable-werror.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
Tutka is a free (as in freedom) tracker style MIDI sequencer for GNU/Linux
(and other systems; only GNU/Linux is supported at this time though). It is
similar to programs like SoundTracker, ProTracker and FastTracker except that
it does not support samples and is meant for MIDI use only. It uses a custom
XML based file format for storing songs. Songs in OctaMED SoundStudio's MMD2
file format can also be loaded and saved. It has also a nice Qt5 GUI.

%files
%doc AUTHORS NEWS README TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%qmake_qt5 Tutka.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}/translations
install -m 0644 src/*.qm %{buildroot}%{_datadir}/%{name}/translations


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.1.3-4.mga8
+ Revision: 1660083
- Rebuild for new Qt5

* Fri Jun 05 2020 daviddavid <daviddavid> 1.1.3-3.mga8
+ Revision: 1590514
- add patch to disable Werror

* Sat Feb 15 2020 umeabot <umeabot> 1.1.3-2.mga8
+ Revision: 1528371
- Mageia 8 Mass Rebuild

* Tue Aug 20 2019 daviddavid <daviddavid> 1.1.3-1.mga8
+ Revision: 1430391
- new version: 1.1.3

* Tue Apr 02 2019 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1385178
- Qt5 Rebuild

* Sun Jan 27 2019 daviddavid <daviddavid> 1.1.2-1.mga7
+ Revision: 1361243
- initial package tutka

